<?php
/*
 * Ceci est un fichier de langue franaise pour FormMail, en provenance de www.tectite.com.
 * Placer simplement ce dossier sur votre serveur, dans le mme rpertoire que formmail.php
 * et automatiquement, FormMail utilisera les messages qui proviennent de ce dossier.
 * Le fichier doit tre nomm "language.inc".
 *
 * Donc, pour obtenir des messages en franais, tlchargez "language_fr.inc"
 * et renommez-le "language.inc".
 *
 * Fichier:        language_fr.inc
 * Langue:         Franais
 * Traduit par:    Lou Bureau
 *                 Vous pouvez contacter Lou  www.unicorne.com 
 *                 via le formulaire de contact.
 * Version:        7.13 - 2007-02-16
 *
 * Commentaires:
 * Ceci est un fichier de langue contenant les messages pr-formats inclus dans FormMail.
 *
 * Historique des Modifications
 * ~~~~~~~~~~~~~~
 * Version 1.1: 04-Mai-05 Russell Robinson
 * Ajout de nouveaux messages supplmentaires jusqu' la version 7.00 de FormMail.
 *
 * Version 1.0: 15-Dec-04 Russell Robinson
 * Cration.
 *
 *
 * Instructions pour Traducteurs
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *  Voici les tapes  suivre:
 *      1. Inscrivez ci-dessus vos dtails, incluant vos coordonnes,
 *         la version FormMail et la date. Ci-dessous, placez le titre de votre langue
 *         dans la variable $sLangID .
 *      2. Pour chaque message, lisez la description qui se retrouve au-dessus; 
 *         en prenant note des paramtres requis pour chaque message.  
 *         Traduisez le message et utilisez des guillements simples ('). Si vous avez besoin de faire 
 *         un retour  la ligne automatique (wrap lines), utilisez l'oprateur POINT pour concatner  
 *         (assembler) les chanes de donnes.  Utiliser \n pour indiquer une nouvelle ligne. 
 *         Placer les paramtres  l'endroit appropri pour le langage cibl.
 *         Par exemple,
 *         (ENG) - This alert has been filtered through "$FILTER" for security purposes.
 *         (FR) - Cette alerte a t filtre par le paramtre "$FILTER" pour des buts de scurit.
 *         Ce qui pourrait donner en allemand:
 *              Diese Alarmbereitschaft ist "$FILTER" fr Sicherheits Zwecke
 *              durchgesicket worden.
 *
 *         Notez que quelques messages incluent le paramtre $MNUM .  
 *         On fait cela pour localiser le numro du message (qui ressemble  ceci: [M42]) 
 *         en un endroit logique lorsque le message est constitu de lignes multiples 
 *         ou est concatn (enchan) avec d'autres informations provenant de FormMail.
 *
 *         NOTE: S'il y a des retours  la ligne (\n) qui sont indiqus  la fin d'un message, 
 *         svp assurez-vous de les conserver - car ils sont placs l pour des exigences de 
 *         formatage importantes.
 *      3. Vous pouvez laisser en Anglais des messages non traduits simplement en les laissant 
 *         hors du fichier (ou en commentant ces lignes en plaant // au dbut de chaque ligne).
 *         La version anglaise intgre est originellement charge par FormMail, 
 *         ensuite le fichier language.inc a priorit 
 *         sur les messages prcdemment tablis. 
 *      4. Vous pouvez comparer votre traduction avec la version originale (en anglais) 
 *         en suivant ces tapes:
 *              a. tlcharger votre dossier d'bauche de traduction sur votre serveur,   
 *                 dans le mme rpertoire que formmail.php
 *              b. ouvrir Formmail dans votre navigateur Internet comme ceci:
 *                      http://www.votresite.com/formmail.php?testlang=1
 *      5. Postez votre fichier  translations A tectite POINT com pour publication.
 */

    //
    // le nom de la langue que ce dossier contient
    //
$sLangID = "Franais";

	// MSG_SCRIPT_VERSION s'affiche si la version de PHP est trop vieille pour fonctionner 
	// FormMail
	// Paramtres:
	// 	$PHPREQ		est la version de PHP minimalement exige 
	//	$PHPVERS	est la version actuellement a installe sur le serveur.
$aMessages[MSG_SCRIPT_VERSION] = 'Ce script exige au moins la version PHP '.
								  '$PHPREQ.  Vous avez la version PHP $PHPVERS.';

	// MSG_END_VERS_CHK est envoy  la fin d'un message d'alerte lorsque 
	// FormMail dtecte qu'une plus rcente version est disponible 
	// Paramtres: aucun
$aMessages[MSG_END_VERS_CHK] =	'***************************************************\n'.
								'Si vous tes satisfait avec votre version actuelle et\n'.
								'voulez faire cesser ces rappels, ditez formmail.php et\n'.
								'paramtrez CHECK_FOR_NEW_VERSION  false.\n'.
								'***************************************************\n';

	// MSG_VERS_CHK est envoy dans un message d'alerte lorsque 
	// FormMail dtecte qu'une plus rcente version est disponible
	// Paramtres:
	//	$TECTITE	le site Web  aller visiter
	//	$FM_VERS	l'actuelle version de FormMail 
	//	$NEWVERS	la nouvelle version de FormMail qui est disponible
$aMessages[MSG_VERS_CHK] =	'Une version ultrieure de FormMail est disponible chez $TECTITE.\n'.
							'Vous utilisez actuellement la version $FM_VERS.\n'.
							'La nouvelle version disponible est $NEWVERS.\n';

	// MSG_CHK_FILE_ERROR est envoy dans un message d'alerte lorsque
	// FormMail ne peut pas crer un dossier pour enregistrer le moment du contrle de version.
	// Paramtres:
	//	$FILE   le nom de fichier qui ne pourrait pas tre cr 
    //  $ERROR  le message d'erreur actuel
$aMessages[MSG_CHK_FILE_ERROR] = 'Incapable de crer un dossier de contrle "$FILE": $ERROR';

	// MSG_UNK_VALUE_SPEC est envoy dans un message d'alerte lorsqu'un formulaire 
	// emploie des spcifications de valeur qui sont inconnues dans derive_fields.
	// Paramtres:
	//	$SPEC	la spcification d'une valeur qui est inconnue 
$aMessages[MSG_UNK_VALUE_SPEC] = 'derive_fields: spcification d\'une valeur qui est inconnue "$SPEC"';

	// MSG_INV_VALUE_SPEC est envoy dans un message d'alerte lorsqu'un 
	// formulaire emploie dans derive_fields une spcification de valeur qui est
	// incorrectement dite ou mise en forme (terminaison manquante '%')
	// Paramtres:
	//	$SPEC	spcification de valeur invalide
$aMessages[MSG_INV_VALUE_SPEC] = 'derive_fields: spcification(s) de valeur invalide(s) '.
								  '"$SPEC" (il manque probablement un "%")';

	// MSG_DERIVED_INVALID est envoy dans un message d'alerte lorsque
	// le rglage du derive_fields d'un formulaire comporte des erreurs
	// Paramtres: aucun
	// Une liste des erreurs est appose sur des lignes spares
$aMessages[MSG_DERIVED_INVALID] = 'Quelques spcifications du derive_fields sont invalides $MNUM:\n';

	// MSG_INT_FORM_ERROR est envoy dans un message d'alerte et affich
	//  l'utilisateur du formulaire
	// Paramtres: aucun
$aMessages[MSG_INT_FORM_ERROR] = 'Erreur interne du formulaire';

	// MSG_OPTIONS_INVALID est envoy dans un message d'alerte lorsque
	// le rglage des options d'un formulaire sont invalides.  Ceci s'applique 
	// mail_options, filter_options, crm_options, et rponse automatique.
	// Paramtres:
	//	$OPT	le nom du champ d'options
	// Une liste des erreurs est appose sur des lignes spares
$aMessages[MSG_OPTIONS_INVALID] = 'Quelques rglages $OPT sont sont non dfinis $MNUM:\n';

	// MSG_PLSWAIT_REDIR est affich  l'utilisateur pour une redirection
	// avec JavaScript
	// Paramtres: aucun
$aMessages[MSG_PLSWAIT_REDIR] = 'Veuillez svp attendre pendant que vous tes redirig...';

	// MSG_IFNOT_REDIR est affich  l'utilisateur pour une redirection
	// avec JavaScript
	// Paramtres:
	//	$URL	le URL de redirection
$aMessages[MSG_IFNOT_REDIR] = 'Si vous n\'tes pas automatiquement redirig, '.
							    'veuillez svp <a href="$URL">cliquer ici</a>.';

	// MSG_PEAR_OBJ est affich  l'utilisateur si l'objet PEAR Mail 
	// ne peut tre cr
	// Paramtres: aucun
$aMessages[MSG_PEAR_OBJ] = 'Insuccs  crer l\'objet PEAR Mail';

	// MSG_PEAR_ERROR est envoy dans un message d'alerte si le traitement PEAR Mail 
	// rapporte une erreur
	// Paramtres:
	//	$MSG	le message d'erreur en provenance de PEAR
$aMessages[MSG_PEAR_ERROR] = 'Erreur PEAR Mail: $MSG';

	// MSG_NO_FOPT_ADDR est envoy dans un message d'alerte; SendMailFOption 
	// est indiqu dans le formulaire et aucune adresse email n'a t fournie
	// Paramtres: aucun
$aMessages[MSG_NO_FOPT_ADDR] = 'Vous avez indiqu "SendMailFOption" dans votre '.
							    'formulaire, mais il n\'y a aucune adresse email  utiliser';

	// MSG_MORE_INFO est envoy dans un message d'alerte sur une ligne par lui-mme, 
	// juste avant des informations supplmentaires sur le traitement de FormMail 
	// qui a pu avoir men au message d'alerte
	// Paramtres: aucun
$aMessages[MSG_MORE_INFO] = 'Information supplmentaire:';

	// MSG_INFO_STOPPED est envoy dans un message d'alerte pour dire que des 
	// informations supplmentaires d'alerte ont t supprimes en raison de possibles 
	// problmes de scurit du simple fait de les afficher.
	// Paramtres: aucun
$aMessages[MSG_INFO_STOPPED] = '(Informations d\'alerte supprimes pour des '.
							    'raisons de scurit. $MNUM)';

	// MSG_FM_ALERT est envoy comme ligne sujet d'un message d'alerte
	// Paramtres: aucun
$aMessages[MSG_FM_ALERT] = 'Alerte FormMail';

	// MSG_FM_ERROR est envoy comme ligne sujet d'un message d'alerte
	// Paramtres: aucun
$aMessages[MSG_FM_ERROR] = 'Erreur de script FormMail';

	// MSG_FM_ERROR_LINE est envoy dans un message d'alerte 
	// sur une ligne spare pour prsenter l'actuel message d'erreur
	// Paramtres: aucun
$aMessages[MSG_FM_ERROR_LINE] = 'L\'erreur suivante s\'est produite dans FormMail $MNUM:';

	// MSG_USERDATA_STOPPED est envoy dans un message d'alerte pour dire que 
	// les donnes de l'utilisateur ont t supprimes en raison de potentiels 
	// problmes de scurit par le simple fait de les afficher.
	// Paramtres: aucun
$aMessages[MSG_USERDATA_STOPPED] = '(Donnes d\'utilisateur supprimes pour '.
								    'raisons de scurit. $MNUM)';

	// MSG_FILTERED est envoy dans un message d'alerte pour dmontrer 
	// quel filtre a t utilis pour ce message 
	// Paramtres:
	//	$FILTER		le nom du filtre
$aMessages[MSG_FILTERED] = 'Cette alerte a t filtre via "$FILTER" '.
						    'pour des raisons de scurit.';

	// MSG_TEMPLATES est envoy dans un message d'alerte lorsqu'un formulaire essaie d'utiliser
	// un modle d'interface graphique (template), mais que ces modles n'ont pas t configurs
	// dans formmail.php
	// Paramtres: aucun
$aMessages[MSG_TEMPLATES] = 'Vous devez paramtrer soit TEMPLATEDIR ou TEMPLATEURL '.
							'dans formmail.php avant de pouvoir indiquer un '.
							'modle d\'interface graphique (template) dans vos formulaires.';

	// MSG_OPEN_TEMPLATE est envoy dans un message d'alerte lorsque FormMail ne peut
	// ouvrir un fichier de modle d'interface graphique (template)
	// Paramtres:
	//	$NAME	le nom du fichier du modle d'interface graphique (template)
	//	$ERROR	information au sujet de l'erreur
$aMessages[MSG_OPEN_TEMPLATE] = 'Insuccs  ouvrir le modle d\'interface graphique (template) "$NAME" ($MNUM): $ERROR';

	// MSG_ERROR_PROC est affich  l'utilisateur en tant qu'lment d'une page d'erreur. 
	// Ce message prsente l'erreur.
	// Paramtres: aucun
$aMessages[MSG_ERROR_PROC] = 'Une erreur s\'est produite lors du traitement '.
							  'du formulaire ($MNUM).\n\n';

	// MSG_ALERT_DONE est affich  l'utilisateur en tant qu'lment d'une page d'erreur  
	// si un message d'alerte a t envoy au propritaire du site Web.
	// Paramtres: aucun
$aMessages[MSG_ALERT_DONE] = 'Notre personnel a t alert quant  l\'erreur ($MNUM).\n';

	// MSG_PLS_CONTACT est affich  l'utilisateur en tant qu'lment d'une page d'erreur 
	// si un message d'alerte *ne peut pas* tre envoy au propritaire du site Web.
	// Paramtres: aucun
$aMessages[MSG_PLS_CONTACT] = 'Veuillez nous contacter directement puisque ce formulaire '.
							    'ne fonctionne pas ($MNUM).\n';

	// MSG_APOLOGY est affich  l'utilisateur en tant qu'lment d'une page d'erreur 
	//  titre d'excuses pour un problme avec le formulaire.
	// Paramtres: aucun
$aMessages[MSG_APOLOGY] = 'Nous transmettons nos excuses pour quelconque inconvnient '.
						    'que cette erreur ait pu vous avoir occasionn.';

	// MSG_ABOUT_FORMMAIL est affich  l'utilisateur dans le bas des pages
	// gnres par FormMail (par exemple les pages par dfaut "Remerciement" 
	// et "Erreur").
	// Paramtres:
	//	$FM_VERS	le numro de version FormMail 
	//	$TECTITE	www.tectite.com
$aMessages[MSG_ABOUT_FORMMAIL] = 'Votre formulaire de soumission a t trait par '.
							  	    '($FM_VERS), disponible  '.
								    '<a href="http://$TECTITE/">$TECTITE</a>.';

	// MSG_PREG_FAILED est envoy dans un message d'alerte si le systme TectiteCRM
	// (base de donnes) a chou  retourner le rsultat prvu.
	// Paramtres: aucun
$aMessages[MSG_PREG_FAILED] = 'preg_match_all a chou le traitement demand dans FindCRMFields';

	// MSG_URL_INVALID est envoy dans un message d'alerte si le URL spcifi
	// pour TectiteCRM (base de donnes - Systme de Gestion des Relations  la Clientle) 
	// est non valide selon les consignes de configuration de TARGET_URLS
	// Paramtres:
	//	$URL		le URL non valide
$aMessages[MSG_URL_INVALID] = 'Le URL "$URL" servant  accder  la base de donnes CRM '.
							    'est non valide '.
							    '(voir TARGET_URLS dans formmail.php)';

	// MSG_URL_OPEN est envoy dans un message d'alerte si le
	// URL spcifi pour TectiteCRM (base de donnes) ne peut tre ouvert
	// Paramtres:
	//	$URL	le URL non valide
	//	$ERROR	information au sujet de l'erreur
$aMessages[MSG_URL_OPEN] = 'chec pour ouvrir le CRM (base de donnes) '.
						    'via son URL "$URL" ($MNUM): $ERROR';

	// MSG_CRM_FAILED est envoy dans un message d'alerte si le systme TectiteCRM
	// ne renvoie pas un message OK (correct)
	// Paramtres:
	//	$URL	le URL non valide
	//	$MSG	information supplmentaire
$aMessages[MSG_CRM_FAILED] = 'Rapport d\'chec du CRM (base de donnes) '.
							  '(url="$URL") ($MNUM): $MSG';

	// MSG_CRM_FORM_ERROR est affich  l'utilisateur si l'information
	// achemine  TectiteCRM n'a pas t accepte
	// Paramtres: aucun
$aMessages[MSG_CRM_FORM_ERROR] = 'Votre soumission de formulaire ne fut pas accepte (chec CRM)';

	// MSG_AND est affich  l'utilisateur; il affiche sparment deux items
	// par "et"
	// Paramtres:
	//	$ITEM1		le premier item
	//	$ITEM2		le second item
$aMessages[MSG_AND] = '"$ITEM1" et "$ITEM2"';

	// MSG_OR est affich  l'utilisateur; il affiche sparment deux items
	// par "ou"
	// Paramtres:
	//	$ITEM1		le premier item
	//	$ITEM2		le second item
$aMessages[MSG_OR] = '"$ITEM1" ou "$ITEM2"';

	// MSG_NOT_BOTH est affich  l'utilisateur; il affiche sparment deux items 
	// qui doivent tre spcifis ensemble
	// Paramtres:
	//	$ITEM1		le premier item
	//	$ITEM2		le second item
$aMessages[MSG_NOT_BOTH] = 'pas X et Y, pas tous les deux "$ITEM1" et "$ITEM2"';

	// MSG_XOR est affich  l'utilisateur; il affiche sparment deux items 
	// qui de doivent pas tre spcifis ensemble 
	// Paramtres:
	//	$ITEM1		le premier item
	//	$ITEM2		le second item
$aMessages[MSG_XOR] = '"$ITEM1" ou "$ITEM2" (l\'un des deux mais pas tous les deux)';

	// MSG_IS_SAME_AS est affich  l'utilisateur; il affiche sparment deux items
	// qui ne doivent pas avoir la mme valeur
	// Paramtres:
	//	$ITEM1		le premier item
	//	$ITEM2		le second item
$aMessages[MSG_IS_SAME_AS] = '"$ITEM1" est identique  "$ITEM2"';

	// MSG_IS_NOT_SAME_AS est affich  l'utilisateur; il affiche sparment deux items
	// qui doivent avoir la mme valeur
	// Paramtres:
	//	$ITEM1		le premier item
	//	$ITEM2		le second item
$aMessages[MSG_IS_NOT_SAME_AS] = '"$ITEM1" n\'est pas identique  "$ITEM2"';

	// MSG_REQD_OPER est envoy dans un message d'alerte lorsque un oprateur inconnu 
	// (symbole) a t utilis dans les spcifications "requises" 
	// Paramtres:
	//	$OPER		l'oprateur inconnu - (oprateur: symbole permettant une opration sur des donnes)
$aMessages[MSG_REQD_OPER] = 'L\'oprateur (symbole) "$OPER" est non valide pour "requis"';

	// MSG_PAT_FAILED est envoy dans un message d'alerte lorsqu'une forme (pattern) de "conditions" 
	// n'a correspondu  rien (ce n'est pas ncessairement une erreur)
	// Paramtres:
	//	$OPER		l'oprateur "conditions" - (oprateur: symbole permettant une opration sur des donnes)
	//	$PAT		le modle "conditions" 
	//	$VALUE		la valeur qui a t recherche
$aMessages[MSG_PAT_FAILED] = 'La forme oprateur (pattern operator) "$OPER" a chou: '.
							 'forme (pattern) "$PAT", la valeur recherche tait "$VALUE".';

	// MSG_COND_OPER est envoy dans un message d'alerte lorsqu'un oprateur (symbole) 
	// "conditions" n'est pas valide
	// Paramtres:
	//	$OPER		l'oprateur "conditions" 
$aMessages[MSG_COND_OPER] = 'L\'oprateur "$OPER" n\'est pas valide pour "conditions"';

	// MSG_INV_COND est envoy dans un message d'alerte lorsqu'un champ "conditions"
	// est non valide
	// Paramtres:
	//	FLD		le nom du champ
$aMessages[MSG_INV_COND] = 'Champ "conditions" non valide "$FLD" - ce n\'est pas une chane (string) ou un tableau associatif (array).';

	// MSG_COND_CHARS est envoy dans un message d'alerte lorsque selon les "conditions" affectes 
	//  un champ, l'on dnote l'absense des 2 premiers caractres obligatoires (les sparateurs)
	// Paramtres:
	//	FLD		le nom du champ
	//	COND	la valeur "conditions" du champ
$aMessages[MSG_COND_CHARS] = 'Les conditions affectes au champ "$FLD" sont non valides. '.
							    'Vous devez inscrire les deux caractres sparateurs '.
							    'au dbut du champ. Vous aviez "$COND".';

	// MSG_COND_INVALID est envoy dans un message d'alerte selon les "conditions" affectes 
	//  un champ, les donnes prsentent un mauvais format
	// Paramtres:
	//	FLD		le nom du champ
	//	COND	la valeur "conditions" du champ
	//	SEP		Le caractre de sparateur interne pour le champ.
$aMessages[MSG_COND_INVALID] = 'Les conditions affectes au champ "$FLD" sont non valides. '.
							    'Il doit y avoir au moins 5 composants '.
							    'spars par "$SEP". Votre valeur tait "$COND".';

	// MSG_COND_TEST_LONG est envoy dans un message d'alerte lorsqu'un TEST des valeurs "conditions" 
	// a trop de composants
	// Paramtres:
	//	FLD		le nom du champ
	//	COND	la valeur "conditions" du champ
	//	SEP		la liste des caractres sparateurs pour le champ.
$aMessages[MSG_COND_TEST_LONG] = 'Le champ "$FLD" a trop de composants pour '.
								    'une commande "TEST": "$COND".\nAvez-vous oubli '.
								    'd\'insrer un "$SEP"?';

	// MSG_COND_IF_SHORT est envoy dans un message d'alerte lorsqu'une "condition"
	// de valeur IF a trop peu de composants
	// Paramtres:
	//	FLD		le nom du champ
	//	COND	la valeur "conditions" du champ
	//	SEP		les caractres sparateurs pour le champ.
$aMessages[MSG_COND_IF_SHORT] = 'Le champ "$FLD" a trop peu de composants pour '.
								'une commande "IF": "$COND".\nIl doit y avoir '.
								'au moins 6 composants spars par "$SEP"';

	// MSG_COND_IF_LONG est envoy dans un message d'alerte lorsqu'une "condition"
	// de valeur IF a trop de composants
	// Paramtres:
	//	FLD		le nom du champ
	//	COND	la valeur "conditions" du champ
	//	SEP		la liste des caractres sparateurs pour le champ.
$aMessages[MSG_COND_IF_LONG] = 'Le champ "$FLD" a trop de composants pour '.
							   'une commande "IF": "$COND".\nAvez-vous oubli '.
							    'd\'insrer un "$SEP"?';

	// MSG_COND_UNK est envoy dans un message d'alerte lorsqu'une valeur "conditions"
	// comporte une commande inconnue
	// Paramtres:
	//	FLD		le nom du champ
	//	COND	la valeur "conditions" du champ
	//	CMD		la commande inconnue
$aMessages[MSG_COND_UNK] = 'Le champ "$FLD" affiche un mot de commande inconnu '.
						    '"$CMD": "$COND".';

	// MSG_MISSING est envoy dans un message d'alerte lorsqu'un 
	//  socket filter  est incorrectement dfini
	// Paramtres:
	//	ITEM	l'item manquant
$aMessages[MSG_MISSING] = 'Manque "$ITEM"';

	// MSG_NEED_ARRAY est envoy dans un message d'alerte lorsqu'un
	//  socket filter  est incorrectement dfini
	// Paramtres:
	//	ITEM	L'item qui devrait tre un tableau associatif (array)
$aMessages[MSG_NEED_ARRAY] = '"$ITEM" doit tre un tableau associatif (array).';

	// MSG_SUBM_FAILED est affich  l'utilisateur lorsqu'une erreur interne 
	// s'est produite et que cette erreur ne doit pas tre affiche
	// Paramtres: aucun
$aMessages[MSG_SUBM_FAILED] = 'La soumission de votre formulaire a chou en raison '.
							    'd\'une erreur qui s\'est produite sur notre serveur.';

	// MSG_FILTER_WRONG est envoy dans un message d'alerte lorsqu'un
	//  socket filter  est incorrectement dfini
	// Paramtres:
	//	FILTER	le nom du filtreur
	//	ERRORS	une chane contenant une liste d'erreurs
$aMessages[MSG_FILTER_WRONG] = 'Le filtreur "$FILTER" n\'est par correctement dfini: '.
							    '$ERRORS';

	// MSG_FILTER_CONNECT est envoy dans un message d'alerte lorsque FormMail
	// ne peut se connecter  un  socket filter 
	// Paramtres:
	//	FILTER	le nom du filtreur
	//	SITE	le site
	//	ERRNUM	Numro  erreur socket  
	//	ERRSTR	Message  erreur socket 
$aMessages[MSG_FILTER_CONNECT] = 'Incapacit de se connecter au site "$SITE" '.
								 ' cause de  socket error  "$FILTER" ($ERRNUM): $ERRSTR';

	// MSG_FILTER_PARAM est envoy dans un message d'alerte lorsqu'un 
	//  socket filter  a une spcification de paramtre non valide
	// Paramtres:
	//	FILTER	le nom du filtreur
	//	NUM		numro du paramtre
	//	NAME	nom du paramtre
$aMessages[MSG_FILTER_PARAM] = 'Le  socket filter  "$FILTER" a un paramtre non valide '.
							    '#$NUM: no "$NAME"';

	// MSG_FILTER_OPEN_FILE est envoy dans un message d'alerte lorsqu'un
	//  socket filter  ne peut ouvrir le fichier requis
	// Paramtres:
	//	FILTER	le nom du filtreur
	//	FILE	le fichier qui ne peut tre ouvert
	//	ERROR	le message d'erreur
$aMessages[MSG_FILTER_OPEN_FILE] = 'Le  socket filter  "$FILTER" ne peut ouvrir ce fichier '.
								   '"$FILE": $ERROR';

	// MSG_FILTER_FILE_ERROR est envoy dans un message d'alerte lorsqu'un
	//  socket filter  reoit un message d'erreur pendant la lecture d'un fichier
	// Paramtres:
	//	FILTER	le nom du filtreur
	//	FILE	le fichier qui ne peut tre ouvert
	//	ERROR	le message d'erreur
	//	NLINES	le nombre de lignes qui ont t lues avec succs
$aMessages[MSG_FILTER_FILE_ERROR] = 'Le  socket filter  "$FILTER" a eu une erreur de lecture '.
 								   	'sur le fichier "$FILE" aprs $NLINES lignes: $ERROR';

	// MSG_FILTER_READ_ERROR est envoy dans un message d'alerte lorsqu'un  socket filter  
	// reoit un message d'erreur pendant la lecture en provenance du socket
	// Paramtres:
	//	FILTER	le nom du filtreur
	//	ERROR	le message d'erreur
$aMessages[MSG_FILTER_READ_ERROR] = 'Le  socket filter  "$FILTER" a chou la lecture: lire l\'erreur: '.
 								   	'$ERROR';

	// MSG_FILTER_NOT_OK est envoy dans un message d'alerte lorsqu'un  socket filter 
	// choue  retourner l'indicateur __OK__ tel que convenu 
	// Paramtres:
	//	FILTER	le nom du filtreur
	//	DATA	les donnes qui ont t retournes par le socket filter
$aMessages[MSG_FILTER_NOT_OK] = 'Le  socket filter  "$FILTER" a chou (la ligne '.
 								'__OK__ est manquante): $DATA';

	// MSG_FILTER_UNK est envoy dans un message d'alerte lorsqu'un
	//  socket filter  inconnu est spcifi par un formulaire
	// Paramtres:
	//	FILTER	le nom du filtreur
$aMessages[MSG_FILTER_UNK] = ' Socket filter  inconnu "$FILTER"';

	// MSG_FILTER_CHDIR est envoy dans un message d'alerte lorsque 
	// FormMail ne peut changer de direction pour accder au rpertoire du filtre 
	// Paramtres:
	//	FILTER	le nom du filtre
	//	DIR		le nom du rpertoire
	//	ERROR	un message d'erreur en provenance du systme
$aMessages[MSG_FILTER_CHDIR] = 'Incapacit de se diriger vers "$DIR" pour faire fonctionner le  socket filter  '.
							    '"$FILTER": $ERROR';

	// MSG_FILTER_NOTFOUND est envoy dans un message d'alerte lorsque
	// FormMail ne peut excuter le  socket filter 
	// Paramtres:
	//	FILTER	le nom du filtreur
	//	CMD		la ligne de commande qui fut excute
	//	ERROR	un message d'erreur en provenance du systme
$aMessages[MSG_FILTER_NOTFOUND] = 'Incapacit  excuter le  socket filter  "$FILTER" avec '.
								    'la commande "$CMD": $ERROR';

	// MSG_FILTER_ERROR est envoy dans un message d'alerte lorsqu'un
	// filtreur retourne un statut diffrent de zro 
	// Paramtres:
	//	FILTER	le nom du filtreur
	//	ERROR	un message d'erreur en provenance du systme
	//	STATUS	le rapport de statut de la commande
$aMessages[MSG_FILTER_ERROR] = 'Le filtreur "$FILTER" a chou dans sa tche (statut $STATUS): '.
							    '$ERROR';

	// MSG_FLD_NOTFOUND est envoy dans un message d'alerte lorsqu'un modle d'interface graphique
	// (template) se rapporte  un champ inexistant du formulaire de contact
	// Paramtres:
	//	FIELD	le nom du champ
$aMessages[MSG_FLD_NOTFOUND] = '"$FIELD" n\'est pas un champ soumis par le formulaire de contact';

	// MSG_TEMPLATE_ERRORS est envoy dans un message d'alerte lorsqu'un
	// modle d'interface graphique (template) a gnr certaines erreurs.  
	// Le message devrait finir avec une nouvelle ligne et les erreurs relles  
	// sont produites aprs celle-ci.
	// Paramtres:
	//	NAME	le nom du modle de l'interface graphique (template)
$aMessages[MSG_TEMPLATE_ERRORS] = 'Le modle d\'interface graphique (template) "$NAME" '.
								    'a provoqu les erreurs suivantes ($MNUM):\n';

	// MSG_TEMPLATE_FAILED est envoy dans un message d'alerte lorsque
	// le traitement d'un modle d'interface graphique (template) a chou.
	// Paramtres:
	//	NAME	le nom du modle d'interface graphique (template)
$aMessages[MSG_TEMPLATE_FAILED] = 'chec  traiter le modle d\'interface graphique (template) "$NAME"';

	// MSG_MIME_PREAMBLE est post dans le prambule des emails de format MIME 
	// Paramtres: aucun
$aMessages[MSG_MIME_PREAMBLE] = '(Votre lecteur de courrier ne devrait pas afficher '.
								'ce texte.\nPuisqu\'il le fait vous devriez faire une '.
								'mise  niveau en utilisant un logiciel plus moderne.)';

	// MSG_MIME_HTML est post dans le prambule des emails de format HTML 
	// Paramtres:
	//	NAME	le nom du modle d'interface graphique (template)
$aMessages[MSG_MIME_HTML] = 'Ce message a t gnr par FormMail en utilisant '.
							'un modle d\'interface graphique (template) de format HTML\nnomm "$NAME". '.
							'Le texte brut des rsultats de formulaire\nont t '.
							'inclus ci-dessous, mais votre lecteur de courrier devrait '.
							'afficher la version HTML\nseulement ( moins qu\'il '.
							'ne soit pas capable de le faire).';

	// MSG_FILE_OPEN_ERROR est envoy dans un message d'alerte lorsque FormMail
	// ne peut ouvrir un fichier
	// Paramtres:
	//	NAME	le nom du fichier
	//	TYPE	le type de fichier
	//	ERROR	le message d'erreur du systme
$aMessages[MSG_FILE_OPEN_ERROR] = 'chec pour ouvrir le fichier $TYPE nomm "$NAME": $ERROR';

	// MSG_ATTACH_DATA est envoy dans un message d'alerte lorsque le fichier joint
	// via vos donnes 'data' a  mal tourn .
	// Paramtres: aucun
$aMessages[MSG_ATTACH_DATA] = 'Erreur interne: AttachFile (joindre un fichier) requiert '.
							    'un document de type "tmp_nom" ou "data" (donnes)';

	// MSG_PHP_HTML_TEMPLATES est envoy dans un message d'alerte lorsqu'un modle d'interface 
	// graphique (template) HTML est utilis mais que la version de PHP est trop vieille. 
	// Paramtres:
	//	$PHPVERS	la version PHP actuelle
$aMessages[MSG_PHP_HTML_TEMPLATES] = 'L\'option interface graphique (template) HTML est supporte '.
								    'seulement avec les versions PHP 4.0.5 ou plus.  Votre serveur '.
								    'utilise actuellement la version $PHPVERS.';

	// MSG_PHP_FILE_UPLOADS est envoy dans un message d'alerte lorsque la fonction 
	// tlchargement de fichier est utilise mais que la version PHP est trop vieille.
	// Paramtres:
	//	$PHPVERS	la version PHP actuelle
$aMessages[MSG_PHP_FILE_UPLOADS] = 'Pour des raisons de scurit, le tlchargement de fichiers '.
							    'est possible seulement avec les versions PHP 4.0.3 ou plus. '.
							    'Votre serveur utilise actuellement la version $PHPVERS.';

	// MSG_FILE_UPLOAD est envoy dans un message d'alerte lorsque la fonction tlchargement
	// de fichier est possible mais que FormMail n'est pas configur 
	// pour le permettre
	// Paramtres: aucun
$aMessages[MSG_FILE_UPLOAD] = 'Tentative de tlchargement de dossier ignore';

	// MSG_FILE_UPLOAD_ATTACK est envoy dans un message d'alerte lorsqu'une
	// possible attaque de tlchargement de fichiers est dtecte
	// Paramtres:
	//	NAME	nom du fichier
	//	TEMP	nom du fichier temporaire
$aMessages[MSG_FILE_UPLOAD_ATTACK] = 'Possible attaque de tlchargement de fichiers '.
									    'dtecte: nom du fichier = "$NAME" ET fichier '.
									    ' temporaire = "$TEMP"';

	// MSG_PHP_PLAIN_TEMPLATES est envoy dans un message d'alerte lorsqu'une interface PlainTemplate 
	// (sans graphiques et ayant peu de tables) est utilise mais que la version PHP est trop vieille.
	// Paramtres:
	//	$PHPVERS	la version actuelle PHP
$aMessages[MSG_PHP_PLAIN_TEMPLATES] = 'L\'option PlainTemplate est supporte seulement '.
								    'avec les versions PHP 4.0.5 ou plus.  Votre serveur '.
								    'utilise actuellement la version $PHPVERS.';

	// MSG_ATTACH_NAME est envoy dans un message d'alerte lorsqu'un formulaire de contact
	// utilise le dispositif requis pour joindre un fichier sans indiquer un nom de fichier 
	// Paramtres: aucun
$aMessages[MSG_ATTACH_NAME] = 'filter_options: le fichier joint doit comporter un nom '.
							    '(par exemple Attach=data.txt)';

	// MSG_PHP_BCC est envoy dans un message d'alerte lorsqu'un formulaire de contact utilise le 
	// champ CCI (copie carbone invisible ou BCC) et que la version PHP peut ne pas le supporter
	// Paramtres:
	//	$PHPVERS	la version actuelle PHP
$aMessages[MSG_PHP_BCC] = 'Avertissement: le champ CCI (BCC) n\'est probablement '.
						    'pas support par votre version PHP ($PHPVERS)';

	// MSG_CSVCOLUMNS est envoy dans un message d'alerte lorsqu'un champ  CSVColumns 
	// (Comma Separated Values), soit  valeurs spares par des virgules , est incorrect
	// Paramtres:
	//	$VALUE	la valeur du champ  CSVColumns  
$aMessages[MSG_CSVCOLUMNS] = 'Le paramtrage du champ "CSVColumns" '.
							    'n\'est pas valide: "$VALUE"';

	// MSG_CSVFILE est envoy dans un message d'alerte lorsqu'un champ CSVFile
	// est incorrect
	// Paramtres:
	//	$VALUE	la valeur du champ CSVFile ((Comma Separated Values)
$aMessages[MSG_CSVFILE] = 'Le paramtrage du champ "CSVFile" est non valide: "$VALUE"';

	// MSG_TARG_EMAIL_PAT_START est envoy dans un message d'alerte lorsqu'un
	// modle (pattern) de $TARGET_EMAIL est inscure en raison d'un symbole manquant '^'
	// au dbut de la squence
	// Paramtres:
	//	$PAT	the pattern
$aMessages[MSG_TARG_EMAIL_PAT_START] = 'Avertissement: Votre modle (pattern) de TARGET_EMAIL '.
									    '"$PAT" devrait avoir un symbole ^ au '.
									    'dbut de la squence.';

	// MSG_TARG_EMAIL_PAT_END est envoy dans un message d'alerte lorsqu'un
	// modle (pattern) de $TARGET_EMAIL est inscure en raison d'un symbole manquant '$'
	//  la fin de la squence
	// Paramtres:
	//	$PAT	le modle (pattern)
$aMessages[MSG_TARG_EMAIL_PAT_END] = 'Avertissement: Votre modle (pattern) de TARGET_EMAIL '.
									  '"$PAT" devrait avoir un symbole $  la fin de la squence.';

	// MSG_CONFIG_WARN est envoy dans un message d'alerte lorsque la configuration 
	// FormMail peut comporter quelque problme.  Les messages sont affichs 
	// sur des lignes spares, alors les terminaisons de lignes
	// ci-dessous sont importantes.
	// Paramtres:
	//	$MESGS	lignes du message
$aMessages[MSG_CONFIG_WARN] = 'Les potentiels problmes suivants ont t trouvs  '.
							    'dans votre configuration:\n$MESGS\n\n'.
							    'Ce ne sont pas ncessairement les erreurs, '.
							    'mais vous devriez passer en revue la documentation\n'.
							    'qui se trouve  l\'intrieur de formmail.php. Si vous avez la certitude '.
							    'que votre configuration est correcte\n'.
							    'vous pouvez neutraliser l\'apparition des messages '.
							    'ci-dessus en changeant le rglage de CONFIG_CHECK .';

	// MSG_PHP_AUTORESP est envoy dans un message d'alerte lorsque 
	// la version PHP ne supporte pas la rponse automatique
	// Paramtres:
	//	$PHPVERS	version PHP actuelle
$aMessages[MSG_PHP_AUTORESP] = 'La fonction rponse automatique est supporte seulement avec '.
							    'les versions PHP 4.0.5 ou plus.  Votre serveur utilise '.
							    'actuellement la version $PHPVERS.';

	// MSG_ALERT est le message alerte pour les tests (formmail.php?testalert=1)
	// Paramtres:
	//	$LANG				le nom du langage (language ID)
	//	$PHPVERS			Version PHP 
	//	$FM_VERS			Version FormMail 
	//	$SERVER				type de serveur
	//	$DOCUMENT_ROOT		Valeur DOCUMENT_ROOT du PHP
	//	$SCRIPT_FILENAME	Valeur SCRIPT_FILENAME du PHP
	//	$PATH_TRANSLATED	Valeur PATH_TRANSLATED du PHP
	//	$REAL_DOCUMENT_ROOT	la valeur REAL_DOCUMENT_ROOT 
$aMessages[MSG_ALERT] =	'C\'est un message alerte de test  $MNUM\n'.
						'La langue charge est $LANG\n'.
						'La version PHP est $PHPVERS\n'.
						'La version FormMail est $FM_VERS\n'.
						'Le type de serveur: $SERVER\n'.
						'\n'.
						'DOCUMENT_ROOT: $DOCUMENT_ROOT\n'.
						'SCRIPT_FILENAME: $SCRIPT_FILENAME\n'.
						'PATH_TRANSLATED: $PATH_TRANSLATED\n'.
						'REAL_DOCUMENT_ROOT: $REAL_DOCUMENT_ROOT';

	// MSG_NO_DEF_ALERT est affich si vous utilisez la fonctionnalit  Test Alert 
	// et qu'aucun rglage DEF_ALERT n'a t configur.
	// Paramtres: aucun
$aMessages[MSG_NO_DEF_ALERT] = 'Aucune valeur DEF_ALERT n\'a t configure.';

	// MSG_TEST_SENT est affich lorsqu'il y a utilisation de la fonctionnalit  Test Alert  
	// Paramtres: aucun
$aMessages[MSG_TEST_SENT] = 'Le message Test a t post. Vrifiez votre bote email.';

	// MSG_TEST_FAILED est affich lorsqu'il y a utilisation de la fonctionnalit  Test Alert  
	// et que l'envoi du email choue.
	// Paramtres: aucun
$aMessages[MSG_TEST_FAILED] = 'CHEC pour envoyer un message TEST. Vrifiez les '.
							    'registres d\'erreurs de votre serveur.';

	// MSG_NO_DATA_PAGE est la page qui s'affiche si l'utilisateur 
	// ouvre directement l'URL  FormMail.
	// Paramtres: aucun
$aMessages[MSG_NO_DATA_PAGE] =	'Cet URL est un programme de soumission de formulaire.\n'.
								'Il semble bien que le formulaire ne fonctionne pas  '.
								'correctement puisque aucune donne ne s\'y retrouve.\n'.
								'Vous n\'tes pas cens naviguer directement  cet URL; son accs '.
								'ne devrait tre accord que par l\'entremise d\'un formulaire.';

	// MSG_REQD_ERROR est affich aux utilisateurs comme message d'erreur par dfaut 
	// lorsqu'ils n'ont pas renseign l'un ou l'autre des champs requis
	// Paramtres: aucun
$aMessages[MSG_REQD_ERROR] = 'Le formulaire comportait des valeurs requises que vous '.
							  'n\'avez pas sembl fournir correctement.';

	// MSG_COND_ERROR est affich  l'utilisateur comme message d'erreur par dfaut 
	// lorsque quelconque condition du formulaire a chou
	// Paramtres: aucun
$aMessages[MSG_COND_ERROR] = 'Certaines des valeurs que vous avez fournies sont non valides.';

	// MSG_CRM_FAILURE est affich  l'utilisateur lorsque la soumission au CRM (base de donnes  
	// - Customer Relationship Management) a chou.
	// Paramtres: aucun
$aMessages[MSG_CRM_FAILURE] = 'La soumission du formulaire n\'a pas russi en raison d\'un chec '.
							  'au niveau du CRM (base de donnes).';

	// MSG_FOPTION_WARN est envoy dans un message d'alerte lorsque le formulaire
	// utilise une fonctionnalit prime de SendMailFOption
	// Paramtres:
	//	$LINE	numro de ligne pour SENDMAIL_F_OPTION
$aMessages[MSG_FOPTION_WARN] = 'Avertissement: Vous avez utilis SendMailFOption dans '.
							    'le volet "mail_options" de votre formulaire. Cette fonction '.
							    'est maintenant prime grce  un rglage de configuration '.
							    ' l\'intrieur de formmail.php. Veuillez svp mettre  jour '.
							    'votre configuration formmail.php (cherchez pour trouver '.
							    'SENDMAIL_F_OPTION  la ligne $LINE), paramtrez cette commande '.
							    ' "true", ensuite enlevez SendMailFOption '.
							    'de votre formulaire.';

	// MSG_NO_ACTIONS est envoy dans un message d'alerte lorsque il n'y a
	// aucune action  excuter ou d'adresse email pour envoyer un message
	// Paramtres: aucun
$aMessages[MSG_NO_ACTIONS] = 'Le formulaire affiche une erreur interne - aucune action '.
							    'ou destinataire n\'ont t spcifis.';

	// MSG_NO_RECIP est envoy dans un message d'alerte lorsque 
	// il n'y a aucun destinataire valide pour envoyer un message
	// Paramtre: aucun
$aMessages[MSG_NO_RECIP] = 'Le formulaire affiche une erreur interne - aucun '.
						    'destinataire valide n\'a t spcifi.';

	// MSG_INV_EMAIL est envoy dans un message d'alerte lorsqu'il y a des erreurs
	// dans les adresses email spcifies dans le formulaire
	// Paramtres:
	//	$ERRORS		liste des erreurs
$aMessages[MSG_INV_EMAIL] = 'Des adresses email non valides ont t spcifies '.
							'dans le formulaire $MNUM:\n$ERRORS';

    // MSG_FAILED_SEND est envoy dans un message d'alerte lorsque l'envoi du email choue.
	// Paramtres: aucun
$aMessages[MSG_FAILED_SEND] = 'chec dans la tentative d\'envoyer un email';

    // MSG_ARESP_EMAIL est envoy dans un message d'alerte lorsque
	// aucune adresse email n'a t spcifie pour une rponse automatique
	// Paramtres: aucun
$aMessages[MSG_ARESP_EMAIL] = 'Aucune adresse email ne fut trouve dans le champ "email". La fonction rponse automatique '.
							  'requiert l\'adresse email de l\'utilisateur qui soumet le formulaire.';

    // MSG_ARESP_SUBJ est le sujet par dfaut pour le email de rponse automatique
	// Paramtres: aucun
$aMessages[MSG_ARESP_SUBJ] = 'Votre soumission de formulaire';

    // MSG_LOG_NO_VERIMG s'inscrit dans le fichier du registre pour la rponse automatique
	// si aucune variable de session VerifyImgString n'est trouve
	// Paramtres: aucun
$aMessages[MSG_LOG_NO_VERIMG] = 'Aucun VerifyImgString dans la session';

    // MSG_ARESP_NO_AUTH est affich  l'utilisateur
	// si aucune variable de session VerifyImgString n'est trouve
	// Paramtres: aucun
$aMessages[MSG_ARESP_NO_AUTH] = 'chec pour obtenir l\'autorisation de vous poster un email';

    // MSG_LOG_NO_MATCH s'inscrit dans le fichier du registre pour la rponse automatique si l'entre 
	// du code de vrification par l'utilisateur ne correspond pas  l'image de vrification
	// Paramtres: aucun
$aMessages[MSG_LOG_NO_MATCH] = 'L\'utilisateur n\'a pas russi  assortir le code de vrification et l\'image';

    // MSG_ARESP_NO_MATCH est affich  l'utilisateur si l'entre 
	// du code de vrification n'a pas correspondu  l'image de vrification
	// Paramtres: aucun
$aMessages[MSG_ARESP_NO_MATCH] = 'Votre entre du code de vrification ne correspondait pas  l\'image de vrification';

    // MSG_LOG_FAILED s'inscrit dans le fichier du registre de messages
	// si la fonction de rponse automatique choue
	// Paramtres: aucun
$aMessages[MSG_LOG_FAILED] = 'chec auto-rponse';

    // MSG_ARESP_FAILED est envoy dans un message d'alerte
	// si la fonction de rponse automatique choue
	// Paramtres: aucun
$aMessages[MSG_ARESP_FAILED] = 'chec de la rponse automatique';

    // MSG_LOG_OK s'inscrit dans le fichier du registre de messages
	// si la fonction de rponse automatique russit
	// Paramtres: aucun
$aMessages[MSG_LOG_OK] = 'OK';

	// MSG_THANKS_PAGE est la page par dfaut affiche 
	// si la soumission est un succs
	// Paramtres: aucun
$aMessages[MSG_THANKS_PAGE] = 'Merci de nous avoir contact! Nous avons reu votre information '.
							    'et si cela est appropri, nous prendrons '.
							    'contact avec vous trs bientt.';

	// MSG_LOAD_MODULE est envoy dans un message d'alerte si un module
    // n'a pu tre charg.
	// Paramtres:
    //  $FILE    le nom du fichier
    //  $ERROR   le message d'erreur
$aMessages[MSG_LOAD_MODULE] = 'Incapable de charger le module du fichier \'$FILE\': $ERROR';

	// MSG_LOAD_FMCOMPUTE est envoy dans un message d'alerte si le formulaire
    // spcifie au moins un champ comprenant la valeur "fmcompute" 
    // et si le module FMCompute ne peut tre charg.
	// Paramtres:
    //  $FILE    le nom du fichier
    //  $ERROR   le message d'erreur
$aMessages[MSG_LOAD_FMCOMPUTE] = 'Incapable de charger le module FMCompute du fichier '.
                                    '\'$FILE\': $ERROR';

	// MSG_REGISTER_MODULE est envoy dans un message d'alerte si un module
    // n'a pas pu s'inscrire  FMCompute
	// Paramtres:
    //  $NAME    le nom du module
    //  $ERROR   le message d'erreur
$aMessages[MSG_REGISTER_MODULE] = 'Incapable d\'inscrire $NAME  '.
                                    'FMCompute: $ERROR';


	// MSG_COMP_PARSE est envoy dans un message d'alerte une erreur d'analyse 
    // se produit dans un champ FMCompute 
	// Paramtres:
    //  $CODE    le code qui comporte une erreur (parse errors)
    //  $ERRORS  les messages d'erreur 
$aMessages[MSG_COMP_PARSE] = 'Des erreurs d\'analyse (parse errors) d\'un champ FMCompute '.
                              'se sont produites dans le code suivant:\n$ERRORS\n$CODE';

	// MSG_COMP_REG_DATA est envoy dans un message d'alerte si FormMail ne peut
    // inscrire des informations dans un champ de donnes avec le module FMCompute 
	// Paramtres:
    //  $NAME   le nom du fichier
    //  $ERROR  le message d'erreur
$aMessages[MSG_COMP_REG_DATA] = 'chec pour enregistrer dans la zone d\'information \'$NAME\': '.
                                '$ERROR';

	// MSG_COMP_ALERT est envoy dans un message d'alerte si le module FMCompute
    // a gnr quelconque message d'alerte.
	// Paramtres:
    //  $ALERTS  les alertes
$aMessages[MSG_COMP_ALERT] = 'Les messages d\'alerte suivants ont t gnrs '.
                            ' partir du module FMCompute: $ALERTS';

	// MSG_COMP_DEBUG est envoy dans un message d'alerte si le module FMCompute
    // a gnr quelconque message de dbogage (debug).
	// Paramtres:
    //  $DEBUG  les alertes
$aMessages[MSG_COMP_DEBUG] = 'Les messages de dbogage (debug) suivants ont t gnrs '.
                            ' partir du module FMCompute: $DEBUG';

	// MSG_COMP_EXEC est envoy dans un message d'alerte si le module FMCompute
    // a gnr quelconque message d'erreur durant l'excution
	// Paramtres:
    //  $ERRORS  les erreurs
$aMessages[MSG_COMP_EXEC] = 'Les messages d\'erreur suivants ont t gnrs '.
                            ' partir du module FMCompute: $ERRORS';

	// MSG_REG_FMCOMPUTE est envoy dans un message d'alerte lorsque FormMail
    // ne peut enregistrer une fonction externe avec FMCompute.
	// Paramtres:
	//	FUNC    la fonction qui ne pourrait pas tre enregistre 
    //  ERROR   le message d'erreur
$aMessages[MSG_REG_FMCOMPUTE] = 'Incapable d\'enregistrer la fonction "$FUNC" avec '.
                                'FMCompute: $ERROR';


	// MSG_USER_ERRORS est affich en tant qu'lment d'une erreur d'utilisateur lorsqu'un FMCompute
    // a appel la fonction "UserError" une ou plusieurs fois.
	// Paramtres:
	//	AUCUN
$aMessages[MSG_USER_ERRORS] = 'Une ou plusieurs erreurs se sont produites dans votre soumission de formulaire';


	// MSG_CALL_PARAM_COUNT est envoy dans un message d'alerte lorsqu'un appel  une fonction FormMail
    // en provenance du module FMCompute comporte un mauvais nombre de paramtres
	// Paramtres:
	//	FUNC    le nom de la fonction
    //  COUNT   le nombre rel de paramtres passs sur la ligne de commande
$aMessages[MSG_CALL_PARAM_COUNT] = 'FMCompute a appel une fonction FormMail '.
                                   '\'$FUNC\' avec un mauvais nombre de '.
                                   'paramtres passs sur la ligne de commande: $COUNT';

	// MSG_CALL_UNK_FUNC est envoy dans un message d'alerte lorsque FMCompute appelle
    // une fonction inconnue de FormMail
	// Paramtres:
	//	FUNC    le nom de la fonction
$aMessages[MSG_CALL_UNK_FUNC] = 'FMCompute a appel une fonction inconnue de FormMail '.
                                   '\'$FUNC\'';

	// MSG_NEXT_PLUS_GOOD est envoy dans un message d'alerte si le formulaire
    // est ambigu et indique en mme temps "next_form" et "good_url" ou
    // "good_template"
	// Paramtres:
    //  $WHICH  le champ "good_" qui fut indiqu
$aMessages[MSG_NEXT_PLUS_GOOD] = 'Le formulaire a spcifi en mme temps "next_form" '.
                                'et champ "$WHICH" - l\'action  '.
                                'excuter est ambigu';

	// MSG_MULTIFORM est post en alerte lorsqu'un formulaire tente d'utiliser un modle 
	// multi-formulaire (multi-form template), mais que ceux-ci n'ont pas t configurs dans
	// formmail.php
	// Paramtres: aucun
$aMessages[MSG_MULTIFORM] = 'Vous devez paramtrer soit MULTIFORMDIR ou MULTIFORMURL '.
							'dans formmail.php avant de pouvoir utiliser '.
							'un formulaire  pages multiples (multi-form template).';

	// MSG_MULTIFORM_FAILED est post en message d'alerte lorsque le traitement 
	// d'un modle de formulaire  pages multiples (multi-page form template) a chou.
	// Paramtres:
	//	NAME	le nom du modle d'interface graphique (template)
$aMessages[MSG_MULTIFORM_FAILED] = 'Incapale de traiter le modle de formulaire multi-pages (template) "$NAME"';

	// MSG_NEED_THIS_FORM est post en message d'alerte lorsqu'un
	// formulaire multi-pages nglige de spcifier le champ "this_form".
	// Paramtres:
	//	aucun
$aMessages[MSG_NEED_THIS_FORM] = 'Le formulaire multi-pages requiert le champ "this_form"';

	// MSG_NO_PHP_SELF est post en message d'alerte lorsque
	// FormMail requiert la variable de serveur "PHP_SELF" et que PHP ne la
    // fournit pas.
	// Paramtres:
	//	aucun
$aMessages[MSG_NO_PHP_SELF] = 'PHP sur le serveur ne fournit pas la variable de serveur "PHP_SELF"';

	// MSG_RETURN_URL_INVALID est post en message d'alerte lorsque
	// "this_form" n'est pas un URL de retour valide.  Cela se produit souvent
    // dans les formulaires multi-pages.
	// Paramtres:
	//	URL     Le URL non valide
$aMessages[MSG_RETURN_URL_INVALID] = 'Le URL de retour "$URL" est non valide';

	// MSG_GO_BACK est post en message d'alerte lorsque
	// "multi_go_back" a t soumis mais qu'il ne fait pas partie d'un
    // formulaire multi-pages.
	// Paramtres:
	//	aucun
$aMessages[MSG_GO_BACK] = 'Impossible retour arrire si "go back" n\'est pas insr dans une squence '.
                          'du formulaire multi-pages ou s\'il n\'est pas plac dans la squence  la premire page '.
                          'du formulaire';

	// MSG_OPEN_URL est envoy dans un message d'alerte lorsque un URL 
    // ne peut tre ouvert.
	// Paramtres:
	//	URL     Le URL non valide
    //  ERROR   message d'erreur
$aMessages[MSG_OPEN_URL] = 'Incapable d\'ouvrir cet URL "$URL": $ERROR';

	// MSG_CANNOT_RETURN est envoy dans un message d'alerte lorsque une requte de retour
    // non valide est faite dans une squence de formulaire multi-pages.
	// Paramtres:
	//	TO          la page index demande
    //  TOPINDEX    l'index de page de niveau suprieur 
$aMessages[MSG_CANNOT_RETURN] = 'Incapable de retourner  la page $TO.  La page index '.
                                'de niveau suprieur est $TOPINDEX';
?>
